summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2022-06-27 16:11:02 -0400
committerB. Stack <bgstack15@gmail.com>2022-06-27 16:11:02 -0400
commit35e2f7c59e549e8e88aab8c44a5363354ca6ffbf (patch)
tree839977a862981e1cc700ba4bfe0055d8cc03603e
parentre-enable remove-branding-urlbar defuzz (diff)
downloadlibrewolf-debian-35e2f7c59e549e8e88aab8c44a5363354ca6ffbf.tar.gz
librewolf-debian-35e2f7c59e549e8e88aab8c44a5363354ca6ffbf.tar.bz2
librewolf-debian-35e2f7c59e549e8e88aab8c44a5363354ca6ffbf.zip
v101.0.1 initial commit
-rwxr-xr-xscripts/local-build.sh17
-rw-r--r--scripts/prep-librewolf-dpkg.conf6
-rwxr-xr-xscripts/prep-librewolf-dpkg.sh4
3 files changed, 22 insertions, 5 deletions
diff --git a/scripts/local-build.sh b/scripts/local-build.sh
new file mode 100755
index 0000000..f4381ef
--- /dev/null
+++ b/scripts/local-build.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Startdate: 2022-06-27
+# Author: bgstack15
+# Purpose: to start a dpkg-buildpackage locally, to ensure all the patches at least work.
+
+set -e;
+
+#####################################
+# Load settings
+# basically, dot-source the conf file.
+test -z "${librewolf_dpkg_conf}" && export librewolf_dpkg_conf="$( find "$( dirname "${0}" )" -maxdepth 2 -name "prep-librewolf-dpkg.conf" -print 2>/dev/null | head -n1 )"
+test ! -r "${librewolf_dpkg_conf}" && { echo "Unable to load config file, which should be named prep-librewolf-dpkg.conf. Aborted." 1>&2 ; exit 1 ; }
+. "${librewolf_dpkg_conf}"
+
+cd "${CI_PROJECT_DIR}/${firefox_version}/librewolf_${firefox_version}/" ; cp -pr ../debian .
+echo "If this next step gets to the mozbuild steps, the asset build process was successful, and the git repo can be pushed to gitlab and a CI build can be started."
+dpkg-buildpackage -b -us -uc
diff --git a/scripts/prep-librewolf-dpkg.conf b/scripts/prep-librewolf-dpkg.conf
index d480445..00fa80c 100644
--- a/scripts/prep-librewolf-dpkg.conf
+++ b/scripts/prep-librewolf-dpkg.conf
@@ -4,11 +4,11 @@
# Available options for DISTRO: debian
DISTRO=${DISTRO:-'debian'}
# current version of Firefox package in target distro
-distro_firefox_version=${distro_firefox_version:-'100.0.2-1'}
+distro_firefox_version=${distro_firefox_version:-'101.0.1-1'}
# current version of Firefox, as defined by name of the orig tarball.
-firefox_version=${firefox_version:-'100.0.2'}
+firefox_version=${firefox_version:-'101.0.1'}
# Tag for LibreWolf linux repo
-librewolf_version=${librewolf_version:-'100.0.2-1'}
+librewolf_version=${librewolf_version:-'101.0.1-1'}
settings_commit=${settings_commit:-'master'}
CI_PROJECT_DIR=${CI_PROJECT_DIR:-$(realpath $(dirname $0)/../)}
output_dir=${CI_PROJECT_DIR}/out
diff --git a/scripts/prep-librewolf-dpkg.sh b/scripts/prep-librewolf-dpkg.sh
index efcb046..e6fa6fe 100755
--- a/scripts/prep-librewolf-dpkg.sh
+++ b/scripts/prep-librewolf-dpkg.sh
@@ -215,7 +215,7 @@ else
# A label shown above the search suggestions group in the urlbar results. It
# should use sentence case.
EOF
- patch -p1 "${debian_dir}/patches/librewolf/remove-organization-policy-banner.patch" <<EOF
+ test -n "" && patch -p1 "${debian_dir}/patches/librewolf/remove-organization-policy-banner.patch" <<EOF
diff --git a/patches/ui-patches/remove-organization-policy-banner.patch b/patches/ui-patches/remove-organization-policy-banner.patch
index 688c17c..1475de9 100644
--- a/patches/ui-patches/remove-organization-policy-banner.patch
@@ -239,7 +239,7 @@ EOF
sed -i -r -e '/(xmas)\.patch/s/^/#/;' "${debian_dir}"/patches/series
# Fixes to the LibreWolf patches for version 96.0.1.
# remove_addons.patch will be fixed when https://gitlab.com/librewolf-community/browser/source/-/merge_requests/10
- test -n "1" && patch -p1 "${debian_dir}/patches/librewolf/remove_addons.patch" <<EOF
+ test -n "" && patch -p1 "${debian_dir}/patches/librewolf/remove_addons.patch" <<EOF
diff --git a/patches/remove_addons.patch b/patches/remove_addons.patch
index a6585ed..3487f6d 100644
--- a/patches/remove_addons.patch
bgstack15